Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Install Google Chrome in Google website, double click the downloaded file, opened up in Ubuntu Software Centre, when I click Install, on the left besides install button it says "only install this file if you trust the origin"

Note: Using Ubuntu 13.10 64bit

share|improve this question

closed as unclear what you're asking by dobey, guntbert, Seth, Kevin Bowen, qbi Oct 21 '13 at 18:39

Please clarify your specific problem or add additional details to highlight exactly what you need. As it's currently written, it’s hard to tell exactly what you're asking. See the How to Ask page for help clarifying this question.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Yup. there is an Install button, but when i click it, nothing happen. –  Andzt Oct 18 '13 at 14:37
    
What is your question? –  guntbert Oct 20 '13 at 16:04
    
I updated the post. –  Andzt Oct 20 '13 at 18:07
    
This question is not unclear. It's clear as day and quite simple. The .deb file must be executable or software center will prevent installation. Just right click on the .deb and mark it as executable under the permissions tab and try again. –  mchid Mar 15 at 16:01

3 Answers 3

up vote 6 down vote accepted

You could try installing from the command line:

wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
dpkg -i ./google-chrome*.deb
apt-get install -f

Note that this url assumes you are running a 64 bit OS.

share|improve this answer
    
I'll try your method. Thanks ;) –  Andzt Oct 18 '13 at 15:20

google-chrome-stable (32-bit version) depends on lib32gcc1 (>= 1:4.1.1)

However, ubuntu 13.10 has no lib32gcc1. It only has libgcc1 or libx32gcc1 or lib64gcc1.

It appears that the 32-bit version of chrome cannot be installed on the 32-bit version of ubuntu 13.10.

share|improve this answer

There are dependency problems trying to install Chrome on 13.10, libxss1 . I suggest contacting Google for support.

In the meantime you can install libxss1 (software centre or from command) and Chrome will install. I did:

sudo apt-get install libxss1

Then Chrome installed fine.

share|improve this answer
    
That didn't do the thing for me. I had it already installed (no idea why) but chrome still won't install. I'm defaulting to chromium until this problem is resolved. –  Silviu Oct 21 '13 at 21:04
    
Silviu, Ubuntu 13.10 64bit ? –  NGRhodes Oct 22 '13 at 9:49
    
NGRhodes, i might have forgotten that this question is about the 64bit version. I'm running Ubuntu on 32 bit. I tried to install libxss1 but it said it's already installed. –  Silviu Oct 23 '13 at 8:42
    
@Silviu Make it executable before using Software Center. –  mchid Mar 15 at 16:03

Not the answer you're looking for? Browse other questions tagged or ask your own question.